=== debian/changelog ===
node-oauth-1.0a (2.2.6-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Apply multi-arch hints. + node-oauth-1.0a: Add :any qualifier for nodejs
    dependency

  [ Yadd ]
  * Update standards version to 4.6.1, no changes needed
  * Add debian/gbp.conf
  * Fix filenamemangle
  * Replace /releases by /tags in GitHub urls

 -- Yadd <yadd@debian.org>  Mon, 31 Oct 2022 09:47:10 +0100

node-oauth-1.0a (2.2.6-2) unstable; urgency=medium

  [ lintian-brush ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Andrius Merkys ]
  * Adding 'Rules-Requires-Root: no'.
  * Build-Depends: pkg-js-tools -> dh-sequence-nodejs, dropping nodejs.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Nov 2021 08:56:22 -0500

node-oauth-1.0a (2.2.6-1) unstable; urgency=medium

  * Initial release (Closes: #998651)

 -- Andrius Merkys <merkys@debian.org>  Sun, 07 Nov 2021 04:26:49 -0500
