=== debian/control ===
Source: node-oauth-1.0a
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 chai <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-nodejs,
 mocha <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/ddo/oauth-1.0a#readme
Vcs-Git: https://salsa.debian.org/js-team/node-oauth-1.0a.git
Vcs-Browser: https://salsa.debian.org/js-team/node-oauth-1.0a
Rules-Requires-Root: no

Package: node-oauth-1.0a
Architecture: all
Depends:
 nodejs:any,
 ${misc:Depends},
Description: OAuth 1.0a request authorization
 OAuth 1.0a request authorization for Node and browser. Encapsulates OAuth
 request sending with an HTTP client (request, jQuery.ajax and so on).
