=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-oauth-1.0a-$1/ \
 https://github.com/ddo/oauth-1.0a/tags .*/archive.*/v?([\d\.]+).tar.gz
